%define source_name bluez-libs

%def_disable static

Name: libbluez
Version: 2.25
Release: alt0.M24.1

Group: System/Libraries
Summary: Bluetooth runtime libraries
License: LGPL
Url: http://bluez.sourceforge.net/

Packager: Grigory Milev <week@altlinux.ru>

Source: %source_name-%version.tar.gz

Provides: libsdp.so.2

%package devel
Summary: Bluetooth development libraries
Group: Development/C
Requires: %name = %version-%release

%package devel-static
Summary: Bluetooth static libraries
Group: Development/C
Requires: %name-devel = %version-%release

%description
This package contains Bluetooth communication runtime libraries for Linux.

%description devel
This package contains Bluetooth communication development files for Linux.

%description devel-static
This package contains Bluetooth communication static libraries for Linux.

%prep
%setup -q -n %source_name-%version

%build
#%{?_disable_static:export lt_cv_prog_cc_static_works=no}
#%{?_enable_static:export lt_cv_prog_cc_static_works=yes}
%configure %{subst_enable static} --with-pic
%make_build

%install
%__mkdir_p %buildroot%_includedir/bluetooth
%makeinstall
%__mv %buildroot%_includedir/*.h %buildroot%_includedir/bluetooth/
# %__ln_s libbluetooth.so.1 %buildroot%_libdir/libsdp.so.2
# %__ln_s libbluetooth.so %buildroot%_libdir/libsdp.so
# %if_enabled static
# %__ln_s libbluetooth.a %buildroot%_libdir/libsdp.a
# %endif

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc AUTHORS ChangeLog README
%_libdir/*.so.*

%files devel
%_libdir/pkgconfig/*
%_includedir/*
%_libdir/*.so
%_datadir/aclocal/*.m4

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Thu Jan 19 2006 Alexey Borovskoy <alb@altlinux.ru> 2.25-alt0.M24.1
- New version: 2.25.

* Thu Dec 01 2005 Alexey Borovskoy <alb@altlinux.ru> 2.22-alt0.M24.1
- New version: 2.22.

* Sun Aug 21 2005 Alexey Borovskoy <alb@altlinux.ru> 2.19-alt0.M24.1
- New version: 2.19
- Backport to Master 2.4

* Thu Jul 07 2005 Alexey Borovskoy <alb@altlinux.ru> 2.18-alt0.M24.1
- New version: 2.18
- Add bluez.m4 to devel subpackage

* Thu Mar 17 2005 Grigory Milev <week@altlinux.ru> 2.15-alt2
- remove orphaned libsdp

* Mon Mar 14 2005 Grigory Milev <week@altlinux.ru> 2.15-alt1
- new version released

* Tue Jan 11 2005 Grigory Milev <week@altlinux.ru> 2.13-alt1
- new version released

* Sat Sep 25 2004 Dmitry V. Levin <ldv@altlinux.org> 2.10-alt2
- Moved static library to separate subpackage.
- Do not build static library by default.
- Added pkgconfig file.
- Fixed package tags.
- Fixed libsdp.so.2 problem.

* Thu Sep 23 2004 Grigory Milev <week@altlinux.ru> 2.10-alt1
- new version released

* Mon Jun 21 2004 Grigory Milev <week@altlinux.ru> 2.7-alt1
- new version released

* Tue Feb 24 2004 Grigory Milev <week@altlinux.ru> 2.5-alt1
- new version released

* Fri Dec 12 2003 Grigory Milev <week@altlinux.ru> 2.4-alt2
- remove *.la files due policy

* Tue Oct 14 2003 Grigory Milev <week@altlinux.ru> 2.4-alt1
- new version released

* Tue Feb 18 2003 Grigory Milev <week@altlinux.ru> 2.3-alt1
- new version released

* Fri Dec 20 2002 Grigory Milev <week@altlinux.ru> 2.2-alt1
- Initial build.



